<?php
/*
 * Plugin Name: Wordpress Theme Demo Bar
 * Plugin URI: http://zenverse.net/wordpress-theme-demo-bar-plugin/
 * Description: Allows any wordpress theme to be previewed without activating it. A demo bar would be shown on top of page, allow users to preview another theme. The demo bar is customisable at admin panel. More than 1 extra CSS files can be loaded too.
 * Author: Zen
 * Author URI: http://zenverse.net/
 * Version: 1.2.1
*/

/*
 * USAGE:
 *
 * To preview a theme, add variable 'themedemo' to your wordpress url. 
 * Example: 
 * http://example.com/?themedemo=theme-folder-name 
 *  
 *
 * To hide the demo bar, add variable 'hidebar' to the url   or    Disable demo bar at Plugin Options Page
 * Example: 
 * http://example.com/?themedemo=theme-folder-name&hidebar=1
 * 
 *
 * To load extra css files, add variable 'extracss' to your wordpress url.
 * Seperate the filename using comma and do not include the .css extension
 * The variable 'themedemo' must be set in order to load extra css files.  
 * Example: 
 * http://example.com/?themedemo=theme-folder-name&extracss=blue,twocolumn
 * 
 *     
*/

$zv_wptdb_plugin_name = 'WP Theme Demo Bar';
$zv_wptdb_plugin_dir = WP_CONTENT_URL.'/plugins/wordpress-theme-demo-bar/';
$zv_wptdb_plugin_ver = '1.2.1';
$zv_wptdb_plugin_url = 'http://zenverse.net/wordpress-theme-demo-bar-plugin/';
$zv_wptdb_themedemo = $_GET['themedemo'];
$zv_wptdb_cssdemo = $zv_wptdb_themedemo;
$zv_wptdb_in_demo = false;
$wptdb_shortname = 'wptdb_';
$zv_wptdb_siteurl = get_option('siteurl');
$zv_wptdb_show_demobar = true;
$zv_wptdb_persistent = true;
$zv_wptdb_ontop = false;

if($zv_wptdb_themedemo !='' && file_exists(get_theme_root() . "/$zv_wptdb_themedemo")) {
	add_filter('template','use_preview_theme');
	add_filter('stylesheet','use_preview_theme');
  $zv_wptdb_in_demo = true;

/* update popularity */
	$wpthemedemobar_pop = get_option('wpthemedemobar_pop');
	if (!isset($_COOKIE['wptdb_'.$zv_wptdb_themedemo])) {
	  if ( empty($wpthemedemobar_pop) ) {
	  $temppop = array("$zv_wptdb_themedemo" => 1);
    add_option('wpthemedemobar_pop',$temppop);
    $wptdb_curr_popularity = 1;
    } else {
      if (isset($wpthemedemobar_pop[$zv_wptdb_themedemo])) {
        $wpthemedemobar_pop[$zv_wptdb_themedemo] += 1;
      } else {
        $wpthemedemobar_pop[$zv_wptdb_themedemo] = 1;
      }
      update_option('wpthemedemobar_pop',$wpthemedemobar_pop);
      $wptdb_curr_popularity = $wpthemedemobar_pop[$zv_wptdb_themedemo];
    }
    setcookie('wptdb_'.$zv_wptdb_themedemo,'1',time()+60*60*24*5);
  } else {
      if (isset($wpthemedemobar_pop[$zv_wptdb_themedemo])) {
      $wptdb_curr_popularity = $wpthemedemobar_pop[$zv_wptdb_themedemo];
      } else {
      $wptdb_curr_popularity = 1;
      }
  }
  unset($wpthemedemobar_pop);
  
    if ($wptdb_curr_popularity > 2) { $wptdb_curr_popularity .= ' times'; } 
    else if ($wptdb_curr_popularity == 2) { $wptdb_curr_popularity = ' twice'; }
    else if ($wptdb_curr_popularity == 1) { $wptdb_curr_popularity = ' once'; }
    else { $wptdb_curr_popularity .= ' time'; }
}

function use_preview_theme($themename) {
	global $zv_wptdb_themedemo;
	return $zv_wptdb_themedemo;
}

function use_preview_css($cssname) {
	global $zv_wptdb_cssdemo;
	return $zv_wptdb_cssdemo;
}

if ($zv_wptdb_in_demo) {
//initiate head & footer
$wpthemedemobar_options = get_option('wpthemedemobar_options');
if (!isset($_GET['hidebar'])) {
if (empty($wpthemedemobar_options)) {
  add_action('wp_head', 'wpthemedemobar_head');
  add_action('wp_footer', 'wpthemedemobar_footer');
} else {
  if (!in_array('bar',$wpthemedemobar_options['hide'])) {
    add_action('wp_head', 'wpthemedemobar_head');
    add_action('wp_footer', 'wpthemedemobar_footer');
  }
}
}

//initiate persistent preview
if (isset($_GET['hidebar'])) { $zv_wptdb_persistent = false; }
if (!empty($wpthemedemobar_options)) {
  if (in_array('persistent',$wpthemedemobar_options['hide']) || isset($_GET['hidebar'])) {
  $zv_wptdb_persistent = false;
  }
}

//always on top feature
if (!empty($wpthemedemobar_options)) {
  if (in_array('ontop',$wpthemedemobar_options['hide'])) {
  $zv_wptdb_ontop = true;
  }
}
  
unset($wpthemedemobar_options);
}

function wpthemedemobar_head() {
global $zv_wptdb_in_demo,$zv_wptdb_plugin_dir,$zv_wptdb_themedemo,$_GET,$zv_wptdb_siteurl,$zv_wptdb_ontop;

  if ($zv_wptdb_in_demo) {  
  
  
  echo '<!-- Start Wordpress Theme Demo Bar Plugin wp_head -->
  <link rel="stylesheet" href="'.$zv_wptdb_plugin_dir.'default.css" type="text/css" />
  ';
  
  if ($zv_wptdb_ontop) { echo '
  <style type="text/css">
  #wpthemedemobar { position:fixed; }
  </style>
  '; }
  
  $wpthemedemobar_usercss = get_option('wpthemedemobar_usercss');
  if ($wpthemedemobar_usercss != '') {
  echo '<style type="text/css">
  '.$wpthemedemobar_usercss.'
  </style>';
  }
  
  // load extra css files
  if (isset($_GET['extracss']) && $_GET['extracss'] != '') {
  $extracss_array = explode(',',$_GET['extracss']);
  $themeroot = get_theme_root();
  
  if (count($extracss_array) > 0) {
    foreach ($extracss_array as $extracss) {
    echo "\n".'<link rel="stylesheet" href="'.$zv_wptdb_siteurl.'/wp-content/themes/'.$zv_wptdb_themedemo.'/'.$extracss.'.css" type="text/css" media="screen" />'."\n";
    }
  }
  
  }

  echo '<!-- End Wordpress Theme Demo Bar Plugin wp_head -->'."\n\n";
  }
}

function wpthemedemobar_footer() {
global $wptdb_curr_popularity,$_GET,$zv_wptdb_in_demo,$zv_wptdb_plugin_dir,$zv_wptdb_themedemo,$wptdb_shortname,$zv_wptdb_siteurl,$zv_wptdb_persistent;


  if ($zv_wptdb_in_demo) {
  echo '<!-- Start Wordpress Theme Demo Bar Plugin wp_footer -->'."\n";
    
$crrtheme = get_theme_data(ABSPATH . 'wp-content/themes/'.$zv_wptdb_themedemo.'/style.css');

$themes = get_themes();
$wpthemedemobar_options = get_option('wpthemedemobar_options');

$themelist = '';
foreach ($themes as $theme_single) {
if (empty($wpthemedemobar_options)) {
    $themelist .= '<option value="'.$theme_single['Template'].'"';
    if ($theme_single['Template']== $zv_wptdb_themedemo) { $themelist .= ' selected="selected"'; }
    $themelist .= '>'.$theme_single['Name'].'</option>';
} else {
  if (!in_array($theme_single['Template'],$wpthemedemobar_options['private'])) {
    $themelist .= '<option value="'.$theme_single['Template'].'"';
    if ($theme_single['Template']== $zv_wptdb_themedemo) { $themelist .= ' selected="selected"'; }
    $themelist .= '>'.$theme_single['Name'].'</option>';
  }
}
}

$ct = get_theme_data(ABSPATH . 'wp-content/themes/'.$zv_wptdb_themedemo.'/style.css');
echo '<script type="text/javascript">
<!--

// enable the demo bar only if javascript is activated
document.write(\'<style type="text/css">\n\');
document.write(\'body { padding-top:31px; }\');
document.write(\'\n</style>\n\');
';

if ($zv_wptdb_persistent) {

$extravariable = '';
if (isset($_GET['extracss']) && $_GET['extracss']!='') {
$extravariable = '&extracss='.$_GET['extracss'];
}

echo '
var wptdb_pageLinks = document.getElementsByTagName("body")[0].getElementsByTagName("a");

for(var i=0;i<wptdb_pageLinks.length;i++) {

//first determine if it is an internal link
if (wptdb_pageLinks[i].href.indexOf("'.$zv_wptdb_siteurl.'") >= 0) { // internal link
var wptdb_findanchor = wptdb_pageLinks[i].href.indexOf("#");
  
  if (wptdb_pageLinks[i].href.indexOf("?") >= 0) { // parameter already exist.
    if ( wptdb_findanchor >= 0) { // # is there
      wptdb_pageLinks[i].href = wptdb_pageLinks[i].href.substr(0,wptdb_findanchor)+"&themedemo='.$zv_wptdb_themedemo.$extravariable.'"+wptdb_pageLinks[i].href.substr(wptdb_findanchor);
    } else {
      wptdb_pageLinks[i].href += "&themedemo='.$zv_wptdb_themedemo.$extravariable.'";
    }
  } else {
    if ( wptdb_findanchor >= 0) { // # is there
      wptdb_pageLinks[i].href = wptdb_pageLinks[i].href.substr(0,wptdb_findanchor)+"?themedemo='.$zv_wptdb_themedemo.$extravariable.'"+wptdb_pageLinks[i].href.substr(wptdb_findanchor);
    } else {
      wptdb_pageLinks[i].href += "?themedemo='.$zv_wptdb_themedemo.$extravariable.'";
    }
  }

} // end internal link

} // end for loop

';
}

echo "

function wptdb_isIE() {
return /msie/i.test(navigator.userAgent) && !/opera/i.test(navigator.userAgent);
}

var wptdb_themename = '".$crrtheme['Name']."';

var myWidth = 0, myHeight = 0;
  if( typeof( window.innerWidth ) == 'number' ) {
    //Non-IE
    myWidth = window.innerWidth;
  } else if( document.documentElement && ( document.documentElement.clientWidth ) ) {
    //IE 6+ in 'standards compliant mode'
    myWidth = document.documentElement.clientWidth;
  } else if( document.body && ( document.body.clientWidth ) ) {
    //IE 4 compatible
    myWidth = document.body.clientWidth;
  }

function wptdb_close() {
document.getElementById('wpthemedemobar').style.display = 'none'
document.getElementsByTagName('body')[0].style.paddingTop = '0px';
";

if ($zv_wptdb_persistent) {
echo "
//revert all edited links
var pageLinks = document.getElementsByTagName('body')[0].getElementsByTagName('a');
for(var i=0;i<pageLinks.length;i++) {

//first determine if it is an internal link
if (pageLinks[i].href.indexOf('".$zv_wptdb_siteurl."') >= 0) { // internal link

  if (pageLinks[i].href.indexOf('?') >= 0) { // parameter exist, so remove them.
  pageLinks[i].href = pageLinks[i].href.replace(/\?themedemo=$zv_wptdb_themedemo/,'');
  pageLinks[i].href = pageLinks[i].href.replace(/&themedemo=$zv_wptdb_themedemo/,'');
  }

} // end internal link

} // end for loop
";
}


echo "
}

function createDemoBar() {
var divTag = document.createElement('div');
divTag.setAttribute('id','wpthemedemobar');
  if (wptdb_isIE()) {
  divTag.style.width = (myWidth)+'px';
  }

if (document.body.firstChild){
      document.body.insertBefore(divTag, document.body.firstChild);
    } else {
      document.body.appendChild(divTag);
}
}
createDemoBar();

var wptdb = document.getElementById('wpthemedemobar');
wptdb.innerHTML = '<div class=\"wpthemedemobar_wrapper\"><div class=\"wptdb_left\"><a title=\"Close this Demo Bar and stop previewing this theme\" href=\"javascript:void(0)\" onclick=\"wptdb_close();\"><img src=\"".$zv_wptdb_plugin_dir."cancel.gif\" /></a></div><div class=\"wptdb_current\">Currently Previewing Theme : <span class=\"wptdb_themename\">'+wptdb_themename+'</span>";

$echothis = false;
if (empty($wpthemedemobar_options)) { $echothis = true; } else {
  if (!in_array('pop',$wpthemedemobar_options['hide'])) { $echothis = true; }
}
if ($echothis) { echo " <span class=\"wptdb_popularity\">&nbsp;(Previewed ".$wptdb_curr_popularity.")</span>"; }

echo '</div>';

$echothis = false;
if (empty($wpthemedemobar_options)) { $echothis = true; } else {
  if (!in_array('jump',$wpthemedemobar_options['hide'])) { $echothis = true; }
}
if ($echothis) { echo "<div class=\"wptdb_jumpbar_wrapper\"><form method=\"get\"><select class=\"wptdb_jumpbar_select\" name=\"themedemo\">".$themelist."</select><input class=\"wptdb_jumpbar_preview_button\" type=\"submit\" value=\"Preview\" /></form></div>"; }

echo "</div>';";  // end innerHTML

echo '
//-->
</script>';
  echo "<!-- End Wordpress Theme Demo Bar Plugin wp_footer -->\n\n";
  }
}

######################################################################################################

/* admin head */
add_action('admin_head', 'TDB_adminhead');

function TDB_adminhead() {
global $zv_wptdb_plugin_dir;
echo '<!-- Start Wordpress Theme Demo Bar : Admin Head -->
<link rel="stylesheet" href="'.$zv_wptdb_plugin_dir.'default.css" type="text/css" />';

$wpthemedemobar_usercss = get_option('wpthemedemobar_usercss');
if ($wpthemedemobar_usercss != '') {
echo '<style type="text/css">
'.$wpthemedemobar_usercss.'
</style>';
}

echo '<!-- End Wordpress Theme Demo Bar : Admin Head -->';
}

/* admin menu */
add_action('admin_menu', 'TDB_menu');

function TDB_menu() {
  global $zv_wptdb_plugin_name;
  add_options_page($zv_wptdb_plugin_name, $zv_wptdb_plugin_name, 8, __FILE__, 'TDB_options');
}

function TDB_options() {
global $zv_wptdb_plugin_name,$wptdb_shortname,$zv_wptdb_plugin_ver,$zv_wptdb_plugin_url,$zv_wptdb_plugin_dir,$zv_wptdb_siteurl;

$themes = get_themes();
$ct = current_theme_info();
ksort($themes);
//$theme_total = count( $themes );

if (isset($_POST['updateoptions'])) {

if (!isset($_POST[$wptdb_shortname.'hide'])) {
$_POST[$wptdb_shortname.'hide'] = array();
}

if (!isset($_POST[$wptdb_shortname.'private'])) {
$_POST[$wptdb_shortname.'private'] = array();
}

$wpthemedemobar_options['hide'] = $_POST[$wptdb_shortname.'hide'];
$wpthemedemobar_options['private'] = $_POST[$wptdb_shortname.'private'];

if (get_option('wpthemedemobar_options')) {
update_option('wpthemedemobar_options',$wpthemedemobar_options);
} else {
add_option('wpthemedemobar_options',$wpthemedemobar_options);
}


echo '<div class="updated" style="padding:5px;"><b>Settings has been updated.</b></div>';
unset($wpthemedemobar_options);
}

if (isset($_POST['reset_options'])) {
if (get_option('wpthemedemobar_options')) {
delete_option('wpthemedemobar_options');
}
echo '<div class="updated" style="padding:5px;"><b>Settings has been resetted.</b></div>';
}


if (isset($_POST['updatecolours'])) {

$_POST['looknfeel'] = htmlspecialchars(strip_tags($_POST['looknfeel']));

//var_dump($_POST['looknfeel']);

update_option('wpthemedemobar_usercss',$_POST['looknfeel']);

echo '<div class="updated" style="padding:5px;"><b>Look & Feel Settings has been updated. <a href="'.$zv_wptdb_siteurl.'/wp-admin/options-general.php?page=wordpress-theme-demo-bar/wp_theme_demo_bar.php">Auto Refreshing...</a>
<script type="text/javascript">
setTimeout("location.href=\''.$zv_wptdb_siteurl.'/wp-admin/options-general.php?page=wordpress-theme-demo-bar/wp_theme_demo_bar.php\';",1000);
</script></b></div>';
unset($_POST['looknfeel']);
}



if (isset($_POST['reset_colours'])) {
if (get_option('wpthemedemobar_usercss')) {
delete_option('wpthemedemobar_usercss');
}
echo '<div class="updated" style="padding:5px;"><b>Look & Feel Settings has been resetted. <a href="'.$zv_wptdb_siteurl.'/wp-admin/options-general.php?page=wordpress-theme-demo-bar/wp_theme_demo_bar.php">Auto Refreshing...</a>
<script type="text/javascript">
setTimeout("location.href=\''.$zv_wptdb_siteurl.'/wp-admin/options-general.php?page=wordpress-theme-demo-bar/wp_theme_demo_bar.php\';",1000);
</script></b></div>';
}


if (isset($_POST['reset_pop'])) {
if (get_option('wpthemedemobar_pop')) {
delete_option('wpthemedemobar_pop');
}
echo '<div class="updated" style="padding:5px;"><b>Popularity count has been resetted.</b></div>';
}

?>

<div class="wrap">
<?php screen_icon(); 
$pstyle = 'style="padding:5px;border-bottom:1px solid #cccccc;margin-bottom:7px;"';
?>
<h2><?php echo wp_specialchars($zv_wptdb_plugin_name); ?></h2>
</div>


<div style="padding:10px;border:1px solid #dddddd;background-color:#fff;-moz-border-radius:10px;margin-top:20px;margin-bottom:20px;">

<?php
echo 'Version '.$zv_wptdb_plugin_ver.' | <a href="'.$zv_wptdb_plugin_url.'">Plugin FAQs, Change Log & Info</a> | <strong><a href="http://zenverse.net/support/">Donate</a></strong> | <a href="http://zenverse.net/">by ZENVERSE</a>';
?>

</div>


<h1 style="margin:0px;padding:0px;margin-bottom:5px;font-weight:normal;font-family:calibri;font-size:21px;">USAGE</h1>
<div style="padding:10px;border:1px solid #dddddd;background-color:#fff;-moz-border-radius:10px;margin-bottom:30px;">

<b>To Preview a Theme</b><br />
<ul style="list-style:square;margin-top:5px;margin-left:15px;margin-bottom:20px;">
<li>Add variable 'themedemo' to the URL string. <small style="color:#BF547B">Example: http://myblog.com/?themedemo=the-theme-folder-name</small></li>
</ul>

<b>To Hide Demo Bar for Individual Preview</b><br />
<ul style="list-style:square;margin-top:5px;margin-left:15px;margin-bottom:20px;">
<li>Add variable 'hidebar' to the URL string. <small style="color:#BF547B">Example: http://myblog.com/?themedemo=mytheme&hidebar</small></li>
</ul>

<b>To Load Extra CSS Files</b><br />
<ul style="list-style:square;margin-top:5px;margin-left:15px;">
<li>Add variable 'extracss' to the URL string. <small style="color:#BF547B">Example: http://myblog.com/?themedemo=mytheme&extracss=blue,twocolumn</small></li>
<li>This will load blue.css & twocolumn.css. Seperate the filename using comma, without .css extension.</li>
<li>The variable 'themedemo' must be set in order to load extra css files.</li>
</ul>
</div>


<h1 style="margin:0px;padding:0px;margin-bottom:5px;font-weight:normal;font-family:calibri;font-size:21px;">Look & Feel</h1>
<div style="padding:10px;border:1px solid #dddddd;background-color:#fff;-moz-border-radius:10px;margin-bottom:30px">


<div id="wpthemedemobar" style="position:static;margin-bottom:20px;position:relative;">
<div class="wpthemedemobar_wrapper">
<div class="wptdb_left">
<a title="Close this Demo Bar and stop previewing this theme" href="javascript:void(0)"><img src="<?php echo $zv_wptdb_plugin_dir; ?>cancel.gif" /></a>
</div>
<div class="wptdb_current">
  Currently Previewing Theme : <span class="wptdb_themename">Theme Name</span>
  <span class="wptdb_popularity">&nbsp;(Previewed 10 times)</span>
</div>
<div class="wptdb_jumpbar_wrapper">
<form method="get">
  <select class="wptdb_jumpbar_select" name="themedemo">
  <option>Theme 1</option><option>Theme 2</option><option>Theme 3</option>
  </select>
  <input class="wptdb_jumpbar_preview_button" type="button" value="Preview" />
  </form>
</div>
</div>
</div>

<?php
$wpthemedemobar_usercss = get_option('wpthemedemobar_usercss');
?>

<form method="post" action="">

Please enter extra css to override the <a href="<?php echo $zv_wptdb_plugin_dir; ?>default.css" target="_blank">default css</a>.<br />
<textarea style="width:100%" rows="10" name="looknfeel"><?php echo stripslashes($wpthemedemobar_usercss); ?></textarea>

<p class="submit">
<input type="submit" class="button-primary" name="updatecolours" value="Save Colours &raquo;" />
<input type="submit" name="reset_colours" onclick="return confirm('<?php _e('Do you really want to reset your current look & feel settings?'); ?>');" value="Reset to Default" />
</p>

</form>

<div style="background:#FFFFDB;border:1px solid #C2C63F;padding:4px;"><small>NOTE:<br />
&raquo; Do NOT include &lt;style> tags. All html tags will be auto removed.<br />
&raquo; The css you entered above will be loaded after the default.css so that your css can override it. <br />
&raquo; You can pick colours at <a title="All credits to johndyer.name" target="_blank" href="http://johndyer.name/lab/colorpicker/">here</a>.
</small></div>
</div>


<h1 style="margin:0px;padding:0px;margin-bottom:5px;font-weight:normal;font-family:calibri;font-size:21px;">PLUGIN OPTIONS</h1>

<div style="padding:10px;border:1px solid #dddddd;background-color:#fff;-moz-border-radius:10px;margin-bottom:30px;padding-top:0px">
<form method="post" action="">

<?php
$wpthemedemobar_options = get_option('wpthemedemobar_options');
?>

<p <?php echo $pstyle; ?>><label><strong>Disable Demo Bar?</strong> <input type="checkbox" value="bar" name="<?php echo $wptdb_shortname; ?>hide[]" <?php if (!empty($wpthemedemobar_options)) { if (in_array('bar',$wpthemedemobar_options['hide'])) { echo 'checked="checked"'; } } ?> /></label>
<br /><small>Check this checkbox to hide the demo bar during all theme preview.</small></p>

<p <?php echo $pstyle; ?>><label><strong>Hide number of previews in Demo Bar?</strong> <input type="checkbox" value="pop" name="<?php echo $wptdb_shortname; ?>hide[]" <?php if (!empty($wpthemedemobar_options)) { if (in_array('pop',$wpthemedemobar_options['hide'])) { echo 'checked="checked"'; } } ?> /></label>
<br /><small>Check this checkbox to hide the number of previews displayed beside the theme name in the demo bar.</small></p>

<p <?php echo $pstyle; ?>><label><strong>Disable "Quick Jump" in Demo Bar?</strong> <input type="checkbox" value="jump" name="<?php echo $wptdb_shortname; ?>hide[]" <?php if (!empty($wpthemedemobar_options)) { if (in_array('jump',$wpthemedemobar_options['hide'])) { echo 'checked="checked"'; } } ?> /></label>
<br /><small>Check this checkbox to hide the "Select Theme" menu in the demo bar.</small></p>

<p <?php echo $pstyle; ?>><label><strong>Demo Bar always on top?</strong> <input type="checkbox" value="ontop" name="<?php echo $wptdb_shortname; ?>hide[]" <?php if (!empty($wpthemedemobar_options)) { if (in_array('ontop',$wpthemedemobar_options['hide'])) { echo 'checked="checked"'; } } ?> /></label>
<br /><small>Check this checkbox to make the demo bar stay on top even when the user scroll down the page.</small></p>

<p <?php echo $pstyle; ?>><label><strong>Disable Persistent Preview?</strong> <input type="checkbox" value="persistent" name="<?php echo $wptdb_shortname; ?>hide[]" <?php if (!empty($wpthemedemobar_options)) { if (in_array('persistent',$wpthemedemobar_options['hide'])) { echo 'checked="checked"'; } } ?> /></label>
<br /><small>By default, the parameter <em>themedemo?=your-current-theme</em> are automatically added to all internal urls during preview.<br />
This allows visitor to try the theme in other pages. Check this checkbox to disable it.<br />
Note: The links automatically revert back when visitor closes the demo bar.<br />
Note: This feature is off when your hide the demo bar or use 'hidebar' in url
</small></p>

<div <?php echo $pstyle; ?>><strong>Do you have any Private Themes? Hide them.</strong><br />

<script type="text/javascript">
<!--

function checknmarklabel(labelid) {
var xgetelem = document.getElementById('tdb_cbox_'+labelid);
if (xgetelem.checked) {
document.getElementById('tdb_labeldiv_'+labelid).style.backgroundImage = 'url(<?php echo $zv_wptdb_plugin_dir; ?>private.gif)';
document.getElementById('tdb_labeldiv_'+labelid).style.backgroundColor = '#fff';
document.getElementById('tdb_labeldiv_'+labelid).style.border = '1px outset #aaaaaa';
} else {
document.getElementById('tdb_labeldiv_'+labelid).style.backgroundImage = '';
document.getElementById('tdb_labeldiv_'+labelid).style.backgroundColor = '#f6f6f6';
document.getElementById('tdb_labeldiv_'+labelid).style.border = '1px solid #d1d1d1';
}
}

//-->
</script>

<?php
$labelloop = 0;

  foreach($themes as $theme_single) {
    
    $isprivate = false;
    if (!empty($wpthemedemobar_options)) { 
    if (in_array($theme_single['Template'],$wpthemedemobar_options['private'])) { $isprivate = true; }
    }
  
  echo '<div style="';
  
  if ($isprivate) { echo 'background-image:url('.$zv_wptdb_plugin_dir.'private.gif);border:1px outset #aaaaaa;'; } else { echo 'border:1px solid #d1d1d1;'; }
  
  echo 'background-color:#f6f6f6;background-position:top right;background-repeat:no-repeat;float:left;width:280px;margin-right:5px;margin-top:5px;padding:0px;" id="tdb_labeldiv_'.$labelloop.'" onclick="checknmarklabel(\''.$labelloop.'\')"><label style="display:block;padding:5px;"><input type="checkbox" id="tdb_cbox_'.$labelloop.'" value="'.$theme_single['Template'].'" name="'.$wptdb_shortname.'private[]" ';
  
  if ($isprivate) { echo 'checked="checked"'; }
  
  echo '/> '.$theme_single['Name'].' <small><a id="tdb_a_'.$labelloop.'" target="_blank" href="'.clean_url( get_option('home').'/?themedemo='.$theme_single['Template']).'">Preview</a></small></label></div>';
  $labelloop++;
  }

?>
<div style="clear:both"></div>
<br /><small>Check whichever theme that you <b>DO NOT</b> want it to be listed in the "Select Theme" menu.</small>
</div>


		<p class="submit">
			<input type="submit" name="updateoptions" class="button-primary" value="<?php _e('Update Options'); ?> &raquo;" />
			<input type="submit" name="reset_options" onclick="return confirm('<?php _e('Do you really want to reset your current configuration?'); ?>');" value="<?php _e('Reset Options'); ?>" />
		</p>
</form>
</div>


<p>&nbsp;</p>

<h1 style="margin:0px;padding:0px;margin-bottom:5px;font-weight:normal;font-family:calibri;font-size:21px;">
STATISTICS
<form action="" method="post" style="display:inline"><p class="submit" style="display:inline"><input type="submit" style="float:right" name="reset_pop" onclick="return confirm(\'Do you really want to reset your popularity (number of previews)?\nThis action cannot be undo.\');" value="Reset Popularity Count" /></p></form></h1>

<table class="widefat post fixed" width="100%" cellspacing="0" cellpadding="0">
  <thead><tr>
    <th width="15px" scope="col">#</th>
    <th scope="col">Theme Name</th>
    <th scope="col">Popularity (no. of previews)</th>
    <th scope="col" width="120px">Screenshot</th>
    <th scope="col">URL for Demo</th>
  </tr></thead>


<?php
  $loopid = 1;
  $wpthemedemobar_pop = get_option('wpthemedemobar_pop');

  
  foreach($themes as $theme_single) {
  if (!empty($wpthemedemobar_pop)) {
    if (isset($wpthemedemobar_pop[$theme_single['Template']])) {
      $pop = $wpthemedemobar_pop[$theme_single['Template']];
    } else {
      $pop = 0;
    }
  } else {
  $pop = 0;
  }
	$preview_link = clean_url( get_option('home') . '/');
	$preview_link = htmlspecialchars( add_query_arg( array('preview' => 1, 'template' => $theme_single['Template'], 'stylesheet' => $theme_single['Stylesheet'], 'TB_iframe' => 'true', 'width' => 600, 'height' => 400 ), $preview_link ) );	
    echo '<tr>
    <td>'.$loopid.'</td>
    <td><span style="font-size:13px;font-weight:bold">'.$theme_single['Name'].'</span></td>
    <td><span style="font-size:20px">'.$pop.'</span></td>
    <td>
    <a href="'.$preview_link.'" target="_blank"><img width="100" src="'.WP_CONTENT_URL.$theme_single['Template Dir'].'/'.$theme_single['Screenshot'].'" /></a></td>
    <td><textarea style="padding:0px;font-size:10px;line-height:11px;" rows="5" cols="30" onclick="this.select();">'.get_option('siteurl').'/?themedemo='.$theme_single['Template'].'</textarea><br /><a href="'.get_option('siteurl').'/?themedemo='.$theme_single['Template'].'">See it in action</a></td>
    </tr>';
  $loopid++;
  }
  
?>

</td></tr></table>


<?php
} // end function TDB_options


/* delete saved options during deactivation of this plugin 
register_deactivation_hook(__FILE__,'zv_wptdb_unset_options');

function zv_wptdb_unset_options() {
if (get_option('wpthemedemobar_options')) {
delete_option('wpthemedemobar_options');
}
}
*/
?>